1

[alpine-aports] [PATCH 1/5] testing/perl-constant-generate: new aport

Nathan Johnson
Details
Message ID
<1456780958-31863-1-git-send-email-nathan@nathanjohnson.info>
Sender timestamp
1456780954
DKIM signature
missing
Download raw message
Patch: +41 -0
http://search.cpan.org/dist/Constant-Generate/
Common tasks for symbolic constants
---
 testing/perl-constant-generate/APKBUILD | 41 +++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-constant-generate/APKBUILD

diff --git a/testing/perl-constant-generate/APKBUILD b/testing/perl-constant-generate/APKBUILD
new file mode 100644
index 0000000..74c0906
--- /dev/null
+++ b/testing/perl-constant-generate/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nathan Johnson <nathan@nathanjohnson.info>
+# Maintainer: Nathan Johnson <nathan@nathanjohnson.info>
+pkgname=perl-constant-generate
+_pkgreal=Constant-Generate
+pkgver=0.17
+pkgrel=0
+pkgdesc="Common tasks for symbolic constants"
+url="http://search.cpan.org/dist/Constant-Generate/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MN/MNUNBERG/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="61636afc1c0be17bc8a26ec4031eae13  Constant-Generate-0.17.tar.gz"
+sha256sums="fb34eef48d7c18fe445fa2651c68d65877adc71ee674233bd11989c40c4eb870  Constant-Generate-0.17.tar.gz"
+sha512sums="6984d101ec26e7d2c35b45124a6d0240910acd30f47b9947a574e3dcd5d9365bb2d1773daae30c61237b903da929b564272aaf505f446a5e7b24a50970335a21  Constant-Generate-0.17.tar.gz"
-- 
2.6.4



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---

[alpine-aports] [PATCH 2/5] testing/perl-dir-self: new aport

Nathan Johnson
Details
Message ID
<1456780958-31863-2-git-send-email-nathan@nathanjohnson.info>
In-Reply-To
<1456780958-31863-1-git-send-email-nathan@nathanjohnson.info> (view parent)
Sender timestamp
1456780955
DKIM signature
missing
Download raw message
Patch: +41 -0
http://search.cpan.org/dist/Dir-Self/
a __DIR__ constant for the directory your source file is in
---
 testing/perl-dir-self/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-dir-self/APKBUILD

diff --git a/testing/perl-dir-self/APKBUILD b/testing/perl-dir-self/APKBUILD
new file mode 100644
index 0000000..93e2620
--- /dev/null
+++ b/testing/perl-dir-self/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nathan Johnson <nathan@nathanjohnson.info>
+# Maintainer: Nathan Johnson <nathan@nathanjohnson.info>
+pkgname=perl-dir-self
+_pkgreal=Dir-Self
+pkgver=0.11
+pkgrel=0
+pkgdesc="a __DIR__ constant for the directory your source file is in"
+url="http://search.cpan.org/dist/Dir-Self/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends=""
+cpanmakedepends="   "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MA/MAUKE/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="e484446c3aa042737c0b7cbd0fb2f904  Dir-Self-0.11.tar.gz"
+sha256sums="e251a51abc7d9ba3e708f73c2aa208e09d47a0c528d6254710fa78cc8d6885b5  Dir-Self-0.11.tar.gz"
+sha512sums="c2795149e74c71037fab8c3149e85e11d4ee77dbb54f85d07e49c39504b3ba910a5ded32831adf36915b302abc4ced386dcd51b6dfbaef46e069c803793e8efc  Dir-Self-0.11.tar.gz"
-- 
2.6.4



---
Unsubscribe:  alpine-aports+unsubscribe@lists.alpinelinux.org
Help:         alpine-aports+help@lists.alpinelinux.org
---